BDU:2018-01508: Уязвимость функции load_multiboot эмулятора аппаратного обеспечения Qemu, связанная с записью за границами буфера памяти, позволяющая нарушителю вызвать отказ в обслуживании или выполнить произвольный код

Описание уязвимости Уязвимость функции load_multiboot (hw/i386/multiboot.c) эмулятора аппаратного обеспечения Qemu связана с ошибкой, приводящей к записи за пределами выделенного буфера памяти в ходе использования мультизагрузки. Эксплуатация уязвимости может позволить нарушителю выполненить произвольный код
Вендор АО «НПО РусБИТех», Фабрис Беллар
Наименование ПО Astra Linux, QEMU
Версия ПО
  • 1.5 «Смоленск» (Astra Linux)
  • от 2.0.0 до 2.11.1 включительно (QEMU)
Тип ПО Операционная система, ПО виртуализации/ПО виртуального программно-аппаратного средства
Операционные системы и аппаратные платформы
  • Сообщество свободного программного обеспечения Linux -
Тип ошибки Запись за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 28.02.2018
Базовый вектор уязвимости
Уровень опасности уязвимости Средний уровень опасности (базовая оценка CVSS 2.0 составляет 4,6)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,6)
Возможные меры по устранению уязвимости
Для Qemu:
Обновление программного обеспечения до 2.12.0 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета Qemu) до 2.8+dfsg-6+deb9u4 или более поздней версии
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения